### Name: SpatialPolygonsDataFrame-class
### Title: Class "SpatialPolygonsDataFrame"
### Aliases: SpatialPolygonsDataFrame-class
###   [,SpatialPolygonsDataFrame-method
###   summary,SpatialPolygonsDataFrame-method $.SpatialPolygonsDataFrame
###   $<-.SpatialPolygonsDataFrame as.data.frame.SpatialPolygonsDataFrame
###   coerce,SpatialPolygonsDataFrame,data.frame-method
###   getSpPPolygonsIDSlots getSpPPolygonsLabptSlots getSpPnParts
###   getSpPplotOrderSlot getSpPpolygonsSlot getPolygonAreaSlot
###   getPolygonCoordsSlot getPolygonLabptSlot getPolygonHoleSlot
###   getPolygonsIDSlot getPolygonsLabptSlot getPolygonsPolygonsSlot
###   getPolygonsplotOrderSlot
### Keywords: classes

### ** Examples

data(ncshp)
grd <- GridTopology(c(1,1), c(1,1), c(10,10))
polys <- as.SpatialPolygons.GridTopology(grd)
centroids <- getSpPPolygonsLabptSlots(polys)
x <- centroids[,1]
y <- centroids[,2]
z <- 1.4 + 0.1*x + 0.2*y + 0.002*x*x
ex_1.7 <- SpatialPolygonsDataFrame(polys, data=data.frame(x=x, y=y, z=z, row.names=getSpPPolygonsIDSlots(polys)))
brks <- quantile(z, seq(0,1,1/7))
cols <- grey((length(brks):2)/length(brks))
dens <- (2:length(brks))*3
plot(ex_1.7, col=cols[findInterval(z, brks, all.inside=TRUE)])
plot(ex_1.7, density=dens[findInterval(z, brks, all.inside=TRUE)])



